Package org.gradle.api.tasks.testing.junitplatform

## Class JUnitPlatformOptions

- java.lang.Object
- - org.gradle.api.tasks.testing.TestFrameworkOptions
  - - org.gradle.api.tasks.testing.junitplatform.JUnitPlatformOptions

-     public class JUnitPlatformOptions
      extends TestFrameworkOptions

  The JUnit platform specific test options.
  Since:
    4.6
  See Also:
    JUnit 5 User Guide

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JUnitPlatformOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `copyFrom​(JUnitPlatformOptions other)` | Copies the options from the source options into the current one.
    `JUnitPlatformOptions` | `excludeEngines​(java.lang.String... excludeEngines)` | The set of engines to exclude.
    `JUnitPlatformOptions` | `excludeTags​(java.lang.String... excludeTags)` | The set of tags to exclude.
    `java.util.Set<java.lang.String>` | `getExcludeEngines()` |
    `java.util.Set<java.lang.String>` | `getExcludeTags()` |
    `java.util.Set<java.lang.String>` | `getIncludeEngines()` |
    `java.util.Set<java.lang.String>` | `getIncludeTags()` |
    `JUnitPlatformOptions` | `includeEngines​(java.lang.String... includeEngines)` | The set of engines to run with.
    `JUnitPlatformOptions` | `includeTags​(java.lang.String... includeTags)` | The set of tags to run with.
    `void` | `setExcludeEngines​(java.util.Set<java.lang.String> excludeEngines)` |
    `void` | `setExcludeTags​(java.util.Set<java.lang.String> excludeTags)` |
    `void` | `setIncludeEngines​(java.util.Set<java.lang.String> includeEngines)` |
    `void` | `setIncludeTags​(java.util.Set<java.lang.String> includeTags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JUnitPlatformOptions

          public JUnitPlatformOptions()

  - ### Method Detail

    - #### copyFrom

          public void copyFrom​(JUnitPlatformOptions other)

      Copies the options from the source options into the current one.
      Since:
        8.0

    - #### includeEngines

          public JUnitPlatformOptions includeEngines​(java.lang.String... includeEngines)

      The set of engines to run with.
      See Also:
        Test Engine

    - #### includeTags

          public JUnitPlatformOptions includeTags​(java.lang.String... includeTags)

      The set of tags to run with.
      See Also:
        Tagging and Filtering

    - #### excludeEngines

          public JUnitPlatformOptions excludeEngines​(java.lang.String... excludeEngines)

      The set of engines to exclude.
      See Also:
        Test Engine

    - #### excludeTags

          public JUnitPlatformOptions excludeTags​(java.lang.String... excludeTags)

      The set of tags to exclude.
      See Also:
        Tagging and Filtering

    - #### getIncludeEngines

          @Input
          public java.util.Set<java.lang.String> getIncludeEngines()

    - #### getIncludeTags

          @Input
          public java.util.Set<java.lang.String> getIncludeTags()

    - #### setIncludeEngines

          public void setIncludeEngines​(java.util.Set<java.lang.String> includeEngines)

    - #### getExcludeEngines

          @Input
          public java.util.Set<java.lang.String> getExcludeEngines()

    - #### setExcludeEngines

          public void setExcludeEngines​(java.util.Set<java.lang.String> excludeEngines)

    - #### setIncludeTags

          public void setIncludeTags​(java.util.Set<java.lang.String> includeTags)

    - #### getExcludeTags

          @Input
          public java.util.Set<java.lang.String> getExcludeTags()

    - #### setExcludeTags

          public void setExcludeTags​(java.util.Set<java.lang.String> excludeTags)